///////////////////////////////////////////////////////////////////////////////////////////////////
// Company: <Name>
//
// File: mult52x52.v
// File history:
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//
// Description: 
//
// <Description here>
//
// Targeted device: <Family::PolarFire> <Die::MPF100T> <Package::FCG484>
// Author: <Name>
//
//	The block implements a parameterized 70x70 signed multiplier which is inferred.
//	The inputs are registered before being applied to the multiplier.
//	Each stage of the multiplier is registered for the highest performance.
//  The input and output registers of the Multiplier are utilized.
//
//	
/////////////////////////////////////////////////////////////////////////////////////////////////// 

//`timescale <time_units> / <precision>


module mult64x64 ( in1, in2, clock, rst, out1 );
parameter WIDTH1 = 70;
parameter WIDTH2 = 70;
input signed [WIDTH1-1:0] in1;
input signed [WIDTH2-1:0] in2;
input clock;
input rst;
output signed [WIDTH1+WIDTH2-1:0] out1;

reg signed [WIDTH1+WIDTH2-1:0] out1; 	// output of final pipeline stage
reg signed [WIDTH1-1:0] in1_reg;		// input register
reg signed [WIDTH2-1:0] in2_reg;		// input register
reg signed [WIDTH1+WIDTH2-1:0] out_pipe1, out_pipe2, out_pipe3, out_pipe4, out_pipe5, out_pipe6, out_pipe7,
                                   out_pipe8, out_pipe9, out_pipe10, out_pipe11, out_pipe12, out_pipe13, out_pipe14, 
                                   out_pipe15;	// pipeline stages
										
always @ ( posedge clock or negedge rst )
    begin
        if ( ~rst )
        begin
            in1_reg    <= {WIDTH1{1'b0}};				
            in2_reg    <= {WIDTH2{1'b0}};
            out_pipe1  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe2  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe3  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe4  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe5  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe6  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe7  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe8  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe9  <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe10 <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe11 <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe12 <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe13 <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe14 <= {WIDTH1+WIDTH2{1'b0}};
            out_pipe15 <= {WIDTH1+WIDTH2{1'b0}};
            out1       <= {WIDTH1+WIDTH2{1'b0}};
        end
        else
        begin
            in1_reg    <= in1;
            in2_reg    <= in2;
            out_pipe1  <= in1_reg * in2_reg;
            out_pipe2  <= out_pipe1;
            out_pipe3  <= out_pipe2;
            out_pipe4  <= out_pipe3;
            out_pipe5  <= out_pipe4;
            out_pipe6  <= out_pipe5;
            out_pipe7  <= out_pipe6;
            out_pipe8  <= out_pipe7;
            out_pipe9  <= out_pipe8;
            out_pipe10 <= out_pipe9;
            out_pipe11 <= out_pipe10;
            out_pipe12 <= out_pipe11;
            out_pipe13 <= out_pipe12;
            out_pipe14 <= out_pipe13;
            out_pipe15 <= out_pipe14;
            out1       <= out_pipe15;
        end
    end

endmodule

