//////////////////////////////////////////////////////////////////////
// Created by Microsemi SmartDesign Fri Oct 16 16:54:25 2020
// Testbench Template
// This is a basic testbench that instantiates your design with basic 
// clock and reset pins connected.  If your design has special
// clock/reset or testbench driver requirements then you should 
// copy this file and modify it. 
//////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
// Company: <Name>
//
// File: mult192x64_tb.v
// File history:
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//
// Description: 
//
// <Description here>
//
// Targeted device: <Family::PolarFire> <Die::MPF100T> <Package::FCG484>
// Author: <Name>
//
/////////////////////////////////////////////////////////////////////////////////////////////////// 

`timescale 1ns/100ps

module mult192x64_tb;

parameter SYSCLK_PERIOD = 6.4;// 156.25MHZ

reg SYSCLK;
reg NSYSRESET;

reg signed [63:0]astim;

reg signed [191:0] bstim;
reg         WE;

parameter numloops = 1;


wire [127:0] cc_res;
wire [191:0] cd_result;
wire [191:0] ce_result;
wire signed [255:0] result;

wire signed [255:0] check_result;

initial
begin
    SYSCLK = 1'b0;
    NSYSRESET = 1'b0;
    astim = 192'b1;
    bstim = 64'b1;
    WE    = 1'b0;
end

//////////////////////////////////////////////////////////////////////
// Reset Pulse
//////////////////////////////////////////////////////////////////////
initial
begin
    #(SYSCLK_PERIOD * 10 )
        NSYSRESET = 1'b1;
end


//////////////////////////////////////////////////////////////////////
// Clock Driver
//////////////////////////////////////////////////////////////////////
always @(SYSCLK)
    #(SYSCLK_PERIOD / 2.0) SYSCLK <= !SYSCLK;

integer i,x;    


initial
begin
#2000 astim = 64'b10;
for(i=0; i<=numloops; i=i+1) begin
#6.4  astim =  64'b011;
#6.4  astim =  64'b100;
#6.4  astim =  64'b101;
#6.4  astim =  64'd30;
#6.4  astim =  64'd300;
#6.4  astim =  64'd11;
#6.4  astim =  64'd4096;
#6.4  astim =  64'd1444000;
#6.4  astim =  64'd14440000;
#6.4  astim =  64'b011;
#6.4  astim =  64'd1000000000;
#6.4  astim =  64'd999999999999;
#6.4  astim =  64'h0100000000000000;
#6.4  astim =  64'd5000000000;
#6.4  astim =  64'd123456789;
#6.4  astim =  64'd9999;
#6.4  astim =  64'd9876543210;
#6.4  astim =  64'hb4;
#6.4  astim =  64'h1;
#6.4  astim =  64'h8000000000000000;
#6.4  astim =  64'h8000000000000000;
	  
#6.4  astim =  64'h8000000000000000;
#6.4  astim =  64'h9000000000000000;
#6.4  astim =  64'hA000000000000000;
#6.4  astim =  64'hB000000000000000;
#6.4  astim =  64'hC000000000000000;
#6.4  astim =  64'hD000000000000000;
#6.4  astim =  64'hE000000000000000;
#6.4  astim =  64'hF000000000000000;
	  
#6.4  astim =  64'h0000000000000001;
	  
#6.4  astim =  64'h7FFFFFFFFFFFFFFF;
	  
#6.4  astim =  64'h100000000000000;
#6.4  astim =  64'h200000000000000;
#6.4  astim =  64'h300000000000000;
#6.4  astim =  64'h400000000000000;
#6.4  astim =  64'h500000000000000;
#6.4  astim =  64'h600000000000000;
#6.4  astim =  64'h700000000000000;
	  
#6.4  astim =  64'h1123456780000000;
#6.4  astim =  64'h2123456780000000;
#6.4  astim =  64'h3123456780000000;
#6.4  astim =  64'h4123456780000000;
#6.4  astim =  64'h5123456780000000;
#6.4  astim =  64'h6123456780000000;
#6.4  astim =  64'h7123456780000000;
//for(x=0; x<=1024; x=x+1) begin
//#6.4  cstim =  64'h1;
//end
end
end



initial
begin
#2000 bstim = 192'b10;
for(i=0; i<=numloops; i=i+1) begin
#6.4  bstim = 192'b011;
#6.4  bstim = 192'b100;
#6.4  bstim = 192'b101;
#6.4  bstim = 192'd50;
#6.4  bstim = 192'd500;
#6.4  bstim = 192'd4096;
#6.4  bstim = 192'd16384;
#6.4  bstim = 192'd100000888;
#6.4  bstim = 192'd1000008888;
#6.4  bstim =  192'b011;
#6.4  bstim = 192'd1000000000;
#6.4  bstim = 192'd999999999999;
#6.4  bstim =  192'h0100000000000000000000000000000;
#6.4  bstim =  192'd5000000000;
#6.4  bstim =  192'd123456789;
#6.4  bstim =  192'd7777;
#6.4  bstim =  192'd9876543210;
#6.4  bstim =  192'h8000000000000000;
#6.4  bstim =  192'h80000000000000008000000000000000;
#6.4  bstim =  192'h00000000000000000000000000000001;
#6.4  bstim =  192'h80000000000000000000000000000000;
	 
#6.4  bstim =  192'h80000000000000000000000000000000;
#6.4  bstim =  192'h90000000000000000000000000000000;
#6.4  bstim =  192'hA0000000000000000000000000000000;
#6.4  bstim =  192'hB0000000000000000000000000000000;
#6.4  bstim =  192'hC0000000000000000000000000000000;
#6.4  bstim =  192'hD0000000000000000000000000000000;
#6.4  bstim =  192'hE0000000000000000000000000000000;
#6.4  bstim =  192'hF0000000000000000000000000000000;
	  
#6.4  bstim =  192'h80000000000000000000000000000000;
	  
#6.4  bstim =  192'h7FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF;
	  
#6.4  bstim =  192'h1123456789ABCDEF0000000000000000;
#6.4  bstim =  192'h2123456789ABCDEF0000000000000000;
#6.4  bstim =  192'h3123456789ABCDEF0000000000000000;
#6.4  bstim =  192'h4123456789ABCDEF0000000000000000;
#6.4  bstim =  192'h5123456789ABCDEF0000000000000000;
#6.4  bstim =  192'h6123456789ABCDEF0000000000000000;
#6.4  bstim =  192'h7123456789ABCDEF0000000000000000;
end
end

//////////////////////////////////////////////////////////////////////
// Instantiate Unit Under Test:  mult192x64
//////////////////////////////////////////////////////////////////////
mult192x64 mult192x64_0 (
    // Inputs
    .resetn(NSYSRESET),
    .clock(SYSCLK),
    .A(astim),
    .B(bstim),

    // Outputs
    .prodab(result )

    // Inouts

);

assign check_result = astim * bstim;

endmodule

